import es, gamethread, playerlib, cfglib, time

info = es.AddonInfo()
info.version = "1.3"
info.author = "DreTaX"
info.name = "dretaxnoblock"
info.url = "http://addons.eventscripts.com/addons/user/56071"
info.date = "2012.11.19"

config = cfglib.AddonCFG(es.getAddonPath("dretaxnoblock") + "/dretaxnoblock.cfg")

config.text("NoBlock Settings")
dretaxnoblock_enable     = config.cvar("dretaxnoblock_enable",     1, "Enable/disable Noblock")
dretaxnoblock_enableblock     = config.cvar("dretaxnoblock_enableblock",     1, "Enable/disable !Block command")
dretax_blocktime     = config.cvar("dretax_blocktime",     18, "Block time, only if !block enabled")
config.write()

es.ServerVar('DreTaXs Noblock', info.version, '1.3').makepublic()
dretax_blocktime = es.ServerVar('dretax_blocktime')

def load():
	es.msg('#multi', '#default[DreTaXNoBlock]#lightgreen NoBlock Loaded Created By DreTaX')
	es.server.cmd("es_xmexec ../addons/eventscripts/dretaxnoblock/dretaxnoblock.cfg")
	
def es_map_start(E):
	es.mexec("../addons/eventscripts/dretaxnoblock/dretaxnoblock.cfg")
	
def player_spawn(event_var):
	if dretaxnoblock_enable == 1:
	    es.server.queuecmd('es_fire %s !self addoutput "rendermode 1"' % event_var['userid'])
	    es.server.queuecmd('es_setplayerprop %s "CCSPlayer.baseclass.baseclass.baseclass.baseclass.baseclass.baseclass.m_CollisionGroup" 2' % event_var['userid'])
	    es.server.queuecmd('es_fire %s !self alpha 255' % event_var['userid'])
	
def player_say(event_var):
	if dretaxnoblock_enable == 1:
		if dretaxnoblock_enableblock == 1:
			if event_var["text"] == "!block":
				es.server.queuecmd('es_setplayerprop %s "CCSPlayer.baseclass.baseclass.baseclass.baseclass.baseclass.baseclass.m_CollisionGroup" 0' % event_var['userid'])
				es.tell(event_var["userid"], "#multi", "#default[DreTaXNoBlock]#lightgreen You are now solid for %s seconds" % (dretax_blocktime))
				es.delayed(dretax_blocktime, "es_tell %s #multi #default[DreTaXNoBlock]#lightgreen You are now unsolid " % event_var["userid"])
				es.delayed(dretax_blocktime, "es_setplayerprop event_var(userid) CCSPlayer.baseclass.baseclass.baseclass.baseclass.baseclass.baseclass.m_CollisionGroup 2'")

def unload():
	es.msg('#multi', '#default[DreTaXNoBlock]#lightgreen DreTaXNoBlock Unloaded')